# Poco

# class DirectoryIteratorImpl

Library: Foundation
Package: Filesystem
Header: Poco/DirectoryIterator_WIN32U.h

## Member Summary

Member Functions: duplicate, get, next, release

## Constructors

### DirectoryIteratorImpl

DirectoryIteratorImpl(
const std::string & path
);

## Destructor

### ~DirectoryIteratorImpl

~DirectoryIteratorImpl();

## Member Functions

### duplicate

void duplicate();

### get

const std::string & get() const;

### next

const std::string & next();

### release

void release();